// CPUUsageSetupDlg.cpp : implementation file
//
// created by Unwinder
/////////////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "CPUUsageSetupDlg.h"
#include "RivaTunerExports.h"
/////////////////////////////////////////////////////////////////////////////
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
/////////////////////////////////////////////////////////////////////////////
extern HBRUSH				g_hBrush;
extern void					EnableThemedBgnd(HWND hWnd);
extern LOCALIZEWND_PROC		g_pLocalizeWnd;
/////////////////////////////////////////////////////////////////////////////
// CCPUUsageSetupDlg dialog
/////////////////////////////////////////////////////////////////////////////
CCPUUsageSetupDlg::CCPUUsageSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCPUUsageSetupDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCPUUsageSetupDlg)
	m_bCalcUsageViaHiResTimer = FALSE;
	//}}AFX_DATA_INIT
}
/////////////////////////////////////////////////////////////////////////////
void CCPUUsageSetupDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCPUUsageSetupDlg)
	DDX_Check(pDX, IDC_CALC_USAGE_VIA_HI_RES_TIMER_CHECK, m_bCalcUsageViaHiResTimer);
	//}}AFX_DATA_MAP
}
/////////////////////////////////////////////////////////////////////////////
BEGIN_MESSAGE_MAP(CCPUUsageSetupDlg, CDialog)
	//{{AFX_MSG_MAP(CCPUUsageSetupDlg)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()
/////////////////////////////////////////////////////////////////////////////
// CCPUUsageSetupDlg message handlers
/////////////////////////////////////////////////////////////////////////////
HBRUSH CCPUUsageSetupDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr;
	
	COLORREF clrBk		= RGB(0,0,128);
	COLORREF clrText	= RGB(255,255,255);

	UINT nID			= pWnd->GetDlgCtrlID();

	if (nID == IDC_CAPTION)
	{
		hbr = g_hBrush;

		pDC->SetBkColor(clrBk);
		pDC->SetTextColor(clrText);
	}
	else 
		hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);

	return hbr;
}
/////////////////////////////////////////////////////////////////////////////
BOOL CCPUUsageSetupDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	EnableThemedBgnd(m_hWnd);
	if (g_pLocalizeWnd)
		g_pLocalizeWnd(m_hWnd);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
/////////////////////////////////////////////////////////////////////////////
